**********************************************************************
* Katrin Auspurg & Thomas Hinz (in cooperation with Carsten Sauer)
* Accompanying material for: Factorial Survey Experiments.
* SAGE,  Series: Quantitative Applications in the Social Sciences No. 175, 
* Thousand Oaks, CA: SAGE
*
* STATA-SAMPLE FILES TO GENERATE VIGNETTE TEXTS & RANDOM SAMPLES: MASTER FILE
**********************************************************************


// # 1 General setup		                   

version 12.1 // you may change the version
clear
discard
set more off
set rmsg on
capture log close

* PLEASE CHANGE THE WORKING DIRECTORY!!! (cd "working directory" )
cd "C:\Users\katrin.auspurg\Documents\Sage textbook\Website\4_material\Stata"

* ! You need to install the user-written command fre 
capture net install fre, from(http://fmwww.bc.edu/RePEc/bocode/f/)


// 2 Random sample of 120 vignettes, blocked to 12 decks 

do 2_random.do  // Skip this if you work with a D-efficient sample

// 3 Labeling, arranging random orders of decks

do 3_labeling.do

// 4 Generation of text phrases, preparing data for questionnaires 

do 4_texts.do

// 5 Generation of random vignette orders per respondent

do 5_sorting.do  // you might skip this 


***********************************
// Exit program
***********************************

** Delete datasets you do not longer need 

capture erase universe_1.dta
capture erase universe_2.dta
capture erase vignette_wide1.dta
capture erase vignettetexts
capture erase vignettes_expanded_long.dta
capture erase vignettes_expanded_wide.dta
capture erase vignettetexts_1.dta
capture erase random_sample120.dta
capture erase random120.dta

exit 
